@extends ('layouts.practice-management')

@section('section-title')
    Financial Transactions
@endsection

@section('inner-content')
    <div class="mcp-theme-1">
        <table class="table table-sm" style="table-layout: fixed">
            <thead>
                <tr>
                    <th>Date</th>
                    <th>Type</th>
                    <th>Client</th>
                    {{--<th>Care Month</th>
                    <th>Bill/Code</th>--}}
                    <th>Reason</th>
                    <th>Memo</th>
                    <th>Amount</th>
                    <th>Balance</th>
                </tr>
            </thead>
            <tbody>
                @foreach($transactions as $transaction)
                    <tr>
                        <td>
                            {{ friendly_date_time($transaction->created_at, true) }}
                        </td>
                        <td>
                            {{ $transaction->plus_or_minus === 'PLUS' ? 'Credit' : 'Debit' }}
                        </td>
                        <td>
                            <a href="/patients/view/{{ $transaction->client->uid }}">
                                <b>{{ implode(", ", [$transaction->client->name_last, $transaction->client->name_first]) }}</b>
                            </a>
                        </td>
                        {{--<td>
                            <a href="/patients/view/{{ $transaction->client->uid }}/care-months/view/{{ $transaction->bill->careMonth->uid }}">
                                <b>{{ friendly_month($transaction->bill->careMonth->start_date) }}</b>
                            </a>
                        </td>
                        <td>
                            <b>{{ $transaction->bill->code }}</b>
                            <div class="text-secondary text-sm">Created: {{ friendly_date_time($transaction->bill->created_at, true) }}</div>
                        </td>--}}
                        <td class="stag-no-wrap-td">
                            @if($transaction->bill->careMonth)
                                <b>{{ $transaction->bill->code }}</b>
                                -
                                <a href="/patients/view/{{ $transaction->client->uid }}/care-months/view/{{ $transaction->bill->careMonth->uid }}">
                                    <b>{{ friendly_month($transaction->bill->careMonth->start_date) }}</b>
                                </a>
                            @elseif($transaction->bill->note)
                                <b>{{ $transaction->bill->code }}</b>
                                -
                                <a href="/patients/view/{{ $transaction->client->uid }}/notes/view/{{ $transaction->bill->note->uid }}">
                                    <b>Note</b>
                                </a>
                            @endif
                            @if(!empty($transaction->bill->reason1))
                            <div class="text-secondary text-sm stag-no-wrap" title="{{ $transaction->bill->reason1 }}">{{ $transaction->bill->reason1 }}</div>
                            @endif
                        </td>
                        <td>{{ $transaction->custom_memo ? $transaction->custom_memo : '-' }}</td>
                        <td>${{ $transaction->amount }}</td>
                        <td>${{ $transaction->resulting_balance }}</td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
@endsection
